## spectacle 0.20

=== debian/changelog ===
spectacle (0.20-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Tue, 21 Sep 2010 12:07:26 +0300

spectacle (0.19-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Tue, 24 Aug 2010 11:36:43 +0300

spectacle (0.18+git24+bc1c8ce-1) unstable; urgency=low

  * New upstream snapshot.

 -- Fathi Boudra <fabo@debian.org>  Sat, 14 Aug 2010 14:22:18 +0300

spectacle (0.18+git19+4768025-1) unstable; urgency=low

  * Initial release (Closes: #592311)

 -- Fathi Boudra <fabo@debian.org>  Sun, 08 Aug 2010 20:01:42 +0300

## spectacle 0.21

=== debian/changelog ===
spectacle (0.21-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Wed, 08 Dec 2010 11:22:51 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=python_distutils

override_dh_auto_build:
	$(MAKE) doc
	$(MAKE) tmpls
	dh_auto_build

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/spectacle install-data
	dh_auto_install

override_dh_auto_clean:
	$(MAKE) clean
	rm -f spectacle/__version__.py
	dh_auto_clean

## spectacle 0.22

=== Makefile ===
VERSION = $(shell cat VERSION)
TAGVER = $(shell cat VERSION | sed -e "s/\([0-9\.]*\).*/\1/")

ifeq ($(VERSION), $(TAGVER))
	TAG = $(TAGVER)
else
	TAG = "HEAD"
endif

all: tmpls
	python setup.py build

tmpls:
	cd spectacle/spec; $(MAKE)
	cd spectacle/dsc; $(MAKE)

tag:
	git tag $(VERSION)

dist-bz2:
	git archive --format=tar --prefix=spectacle-$(VERSION)/ $(TAG) | \
		bzip2  > spectacle-$(VERSION).tar.bz2

dist-gz:
	git archive --format=tar --prefix=spectacle-$(VERSION)/ $(TAG) | \
		gzip  > spectacle-$(VERSION).tar.gz

doc:
	markdown README > README.html

test:
	cd tests/; python alltest.py

install: all install-data
	python setup.py install

develop: all install-data
	python setup.py develop

install-data:
	install -d ${DESTDIR}/usr/share/spectacle/
	install -m 644 data/*csv ${DESTDIR}/usr/share/spectacle/
	install -m 644 data/GROUPS ${DESTDIR}/usr/share/spectacle/

clean:
	rm -rf build/
	rm -f README.html
	cd spectacle/spec; $(MAKE) clean
	cd spectacle/dsc; $(MAKE) clean

=== debian/changelog ===
spectacle (0.22-3) unstable; urgency=medium

  * QA upload.
  * Build using dh_python2

 -- Matthias Klose <doko@debian.org>  Sun, 13 Jul 2014 16:25:15 +0000

spectacle (0.22-2) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA Group.
  * Bump Standards-Version to 3.9.5.
  * Set debhelper compatibility level to 9.
  * Call dh(1) with python_support.

 -- Emanuele Rocca <ema@debian.org>  Mon, 31 Mar 2014 12:16:34 +0200

spectacle (0.22-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Fri, 25 Feb 2011 09:47:50 +0200

=== debian/control ===
Source: spectacle
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), python (>= 2.3.5-7),
 python-cheetah, markdown
Standards-Version: 3.9.5
Homepage: http://meego.gitorious.org/meego-developer-tools/spectacle

Package: spectacle
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 python-cheetah, python-urlgrabber, python-yaml
Suggests: meego-packaging-tools | packaging-tools
Description: RPM Spec file generator and management tool
 Spectacle is a tool for managing and creating RPM spec files. It includes the
 tool to generate spec files from metadata file in YAML format, and tools to
 convert spec files or spec-builder's ini files to YAML format.
 .
 For spectacle managed packages, all generic packaging information will be
 stored in the YAML file, and it also allows maintaining customizations in the
 spec file directly with special enclosure tags.
 .
 The following tools are installed:
  * specify
    the tool to generate or to update spec file, based on YAML
  * ini2spectacle
    the tool to convert spec-builder .ini to YAML and new spec file
  * spec2spectacle
    the tool to convert original spec to YAML and new spec file

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --buildsystem=python_distutils
+	dh $@ --buildsystem=python_distutils --with=python2
 
 override_dh_auto_build:
 	$(MAKE) doc
@@ -17,5 +17,5 @@
 
 override_dh_auto_clean:
 	$(MAKE) clean
-	rm -f spectacle/__version__.py
+	rm -rf spectacle/__version__.py spectacle.egg-info
 	dh_auto_clean

## spectacle 0.25

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+PYTHON ?= python
 VERSION = $(shell cat VERSION)
 TAGVER = $(shell cat VERSION | sed -e "s/\([0-9\.]*\).*/\1/")
 
@@ -7,8 +8,12 @@
 	TAG = "HEAD"
 endif
 
+ifndef PREFIX
+    PREFIX = "/usr"
+endif
+
 all: tmpls
-	python setup.py build
+	$(PYTHON) setup.py build
 
 tmpls:
 	cd spectacle/spec; $(MAKE)
@@ -26,16 +31,16 @@
 		gzip  > spectacle-$(VERSION).tar.gz
 
 doc:
-	markdown README > README.html
+	markdown README.md > README.html
 
 test:
-	cd tests/; python alltest.py
+	cd tests/; $(PYTHON) alltest.py
 
 install: all install-data
-	python setup.py install
+	$(PYTHON) setup.py install --root=${DESTDIR} --prefix=${PREFIX}
 
 develop: all install-data
-	python setup.py develop
+	$(PYTHON) setup.py develop
 
 install-data:
 	install -d ${DESTDIR}/usr/share/spectacle/

=== spectacle/dsc/Makefile ===
# ex: set tabstop=4 noexpandtab: 
PYTHON=python
CHEETAH=cheetah
TEMPLATES=$(wildcard *.tmpl)
TEMPLATE_MODS=$(patsubst %.tmpl,%.py,$(TEMPLATES))
.SECONDARY: $(TEMPLATE_MODS)

all: $(TEMPLATE_MODS)

%.py: %.tmpl
	$(CHEETAH) compile --settings='useStackFrames=False' $<
	cp $@ __init__.py

clean:
	rm -f $(TEMPLATE_MODS)
	rm -f $(addsuffix .bak,$(TEMPLATE_MODS))
	rm -f *.xsd *.wsdl
	rm -f *.pyc *.pyo
	rm -f *.py
	rm -f *.bak

=== debian/changelog ===
spectacle (0.25-1) unstable; urgency=low

  * New upstream release.
  * install README* to docs
  * Adopt package (Closes: #641955)
  * Make build reproducible (Closes: 775996)
  * Fix dependency to python2

 -- Philippe Coval <rzr@gna.org>  Sat, 10 May 2014 16:30:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: spectacle
 Section: devel
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9), python (>= 2.3.5-7),
+Maintainer: Philippe Coval <rzr@gna.org>
+Build-Depends: debhelper (>= 9)
+Build-Depends-Indep: python (>= 2.3.5-7),
+ dh-python,
  python-cheetah, markdown
+X-Python-Version: >= 2.3
 Standards-Version: 3.9.5
 Homepage: http://meego.gitorious.org/meego-developer-tools/spectacle

=== debian/watch ===
version=3 
opts=filenamemangle=s/\S*download=//g \
http://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=gitorious/meego-developer-tools/spectacle \
.*=spectacle(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
